Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.authentication
Class AuthenticationProtocolClient

    java.lang.Object
      com.sshtools.j2ssh.transport.Service
          com.sshtools.j2ssh.authentication.AuthenticationProtocolClient

public class AuthenticationProtocolClient
extends Service

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.transport.Service
`ACCEPTING_SERVICE, messageStore, REQUESTING_SERVICE, startMode, state, transport`

Constructor Summary
`AuthenticationProtocolClient()` Creates a new AuthenticationProtocolClient object.

Method Summary
`int` | `authenticate(SshAuthenticationClient auth, Service serviceToStart)` DOCUMENT ME!
`java.util.List` | `getAvailableAuths(java.lang.String username, java.lang.String serviceName)` DOCUMENT ME!
`java.lang.String` | `getBannerMessage(int timeout)` DOCUMENT ME!
`byte[]` | `getSessionIdentifier()` DOCUMENT ME!
`protected void` | `onServiceAccept()` DOCUMENT ME!
`protected void` | `onServiceInit(int startMode)` DOCUMENT ME!
`protected void` | `onServiceRequest()` DOCUMENT ME!
`protected void` | `onStart()` DOCUMENT ME!
`void` | `readAuthenticationState()` DOCUMENT ME!
`SshMessage` | `readMessage(int messageId)` DOCUMENT ME!
`SshMessage` | `readMessage(int[] messageId)` DOCUMENT ME!
`void` | `registerMessage(java.lang.Class cls, int messageId)` DOCUMENT ME!
`void` | `sendMessage(SshMessage msg)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.Service
`getServiceName, getState, init, sendServiceAccept, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationProtocolClient

    public AuthenticationProtocolClient()

  Creates a new AuthenticationProtocolClient object.

Method Detail

### onServiceAccept

    protected void onServiceAccept()
                            throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onServiceAccept` in class `Service`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onStart

    protected void onStart()

  DOCUMENT ME!

  Specified by:
    `onStart` in class `Service`

### onServiceInit

    protected void onServiceInit(int startMode)
                          throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onServiceInit` in class `Service`
  Parameters:
    `startMode` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### onServiceRequest

    protected void onServiceRequest()
                             throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onServiceRequest` in class `Service`
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### getAvailableAuths

    public java.util.List getAvailableAuths(java.lang.String username,
                                            java.lang.String serviceName)
                                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
    `serviceName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshException` - DOCUMENT ME!

### authenticate

    public int authenticate(SshAuthenticationClient auth,
                            Service serviceToStart)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `auth` - DOCUMENT ME!
    `serviceToStart` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshException` - DOCUMENT ME!

### sendMessage

    public void sendMessage(SshMessage msg)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getSessionIdentifier

    public byte[] getSessionIdentifier()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### registerMessage

    public void registerMessage(java.lang.Class cls,
                                int messageId)

  DOCUMENT ME!

  Parameters:
    `cls` - DOCUMENT ME!
    `messageId` - DOCUMENT ME!

### readMessage

    public SshMessage readMessage(int messageId)
                           throws TerminatedStateException,
                                  java.io.IOException

  DOCUMENT ME!

  Parameters:
    `messageId` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `TerminatedStateException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### readMessage

    public SshMessage readMessage(int[] messageId)
                           throws TerminatedStateException,
                                  java.io.IOException

  DOCUMENT ME!

  Parameters:
    `messageId` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `TerminatedStateException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### readAuthenticationState

    public void readAuthenticationState()
                                 throws java.io.IOException,
                                        TerminatedStateException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `TerminatedStateException` - DOCUMENT ME!

### getBannerMessage

    public java.lang.String getBannerMessage(int timeout)
                                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `timeout` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD